"use client";
import { useEffect, useState } from "react";
import BlogLists from "@components/top-level/blog-lists";

import { useAppContext } from "@context/index";

export default function BlogContainer({ blogs }) {
  const { input } = useAppContext();
  const [filteredBlogs, setFilteredBlogs] = useState([]);

  useEffect(() => {
    handleBlogs();
  }, [input, blogs]); // Added 'blogs' as a dependency

  const handleBlogs = () => {
    const filtered = blogs.filter((blog) => {
      const lowerCaseBlogTitle = blog.title.toLowerCase();
      const lowerCaseInput = input.toLowerCase();
      return lowerCaseBlogTitle.includes(lowerCaseInput);
    });

    setFilteredBlogs(filtered);
  };

  return (
    <BlogLists
      title="Lifestyle"
      description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
      blogs={filteredBlogs}
    />
  );
}
