import { ThemeProvider } from "@context/index";
import "./globals.css";

export default function RootLayout({ children, header }) {
  // Check if localStorage is available (client-side)
  const themeClass =
    typeof window !== "undefined" ? localStorage.getItem("theme") : "light";

  return (
    <ThemeProvider>
      <html lang="en" className={themeClass}>
        <body>
          {header}
          {children}
        </body>
      </html>
    </ThemeProvider>
  );
}
